> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch series images

> This endpoint allows you to get the images that belong to a TV series.



## OpenAPI

````yaml get /tv/{{series_id}}/images
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /tv/{{series_id}}/images:
    parameters:
      - name: series_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - TV Series
      summary: Fetch series images
      description: This endpoint allows you to get the images that belong to a TV series.
      operationId: fetchSeriesImages
      parameters:
        - name: include_image_language
          in: query
          schema:
            type: string
            example: string
          description: >-
            specify a comma separated list of ISO-639-1 values to query, for
            example: en,null
        - name: language
          in: query
          schema:
            type: string
            example: string
      responses:
        '200':
          description: Fetch series images
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=1150
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Mon, 30 Dec 2024 09:22:08 GMT
            ETag:
              schema:
                type: string
                example: W/"c86e52eac3a97f1264c8f53a96bd8223"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 40c1e5c4b3789c2ca411f57891da3fe4.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: VqLz0562cQl1UW1aVyWmaEk0TzlEA57OGLUH1HbXaNsC6BLxOdO6BQ==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD61-P1
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '20589'
            x-memc-expires:
              schema:
                type: string
                example: '1150'
            x-memc-key:
              schema:
                type: string
                example: 90d9be108dbf62f76a84ae3c3c02efc3
          content:
            application/json:
              schema:
                type: object
                properties:
                  backdrops:
                    type: array
                    items:
                      type: object
                      properties:
                        aspect_ratio:
                          type: number
                          example: 1.778
                        file_path:
                          type: string
                          example: /2tVchKGKg4vYe4IyvTnR45wlPYH.jpg
                        height:
                          type: number
                          example: 1080
                        iso_639_1:
                          type: string
                          nullable: true
                          example: ar
                        vote_average:
                          type: number
                          example: 3.334
                        vote_count:
                          type: number
                          example: 1
                        width:
                          type: number
                          example: 1920
                    example:
                      - aspect_ratio: 1.778
                        file_path: /2tVchKGKg4vYe4IyvTnR45wlPYH.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 3.334
                        vote_count: 1
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /wV5PS1nCcHd4CqvhSJFav7jRKm4.jpg
                        height: 1080
                        iso_639_1: null
                        vote_average: 3.334
                        vote_count: 1
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /bScNmdu7wwIIsqQpU8B8gratf0P.jpg
                        height: 1080
                        iso_639_1: null
                        vote_average: 3.334
                        vote_count: 2
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /fijA09tQ2dbLjA1D1tz6We0MrrA.jpg
                        height: 1080
                        iso_639_1: hi
                        vote_average: 2.278
                        vote_count: 3
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /kMo3EtW3DhY23lbhe4TFxWBZs0e.jpg
                        height: 1080
                        iso_639_1: null
                        vote_average: 2.278
                        vote_count: 3
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /63DJiq5uhVXwJFL4nf49r0uyJjL.jpg
                        height: 1080
                        iso_639_1: en
                        vote_average: 1.75
                        vote_count: 2
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /akjdbQxRopK8CyGEEoU4hM5Es6X.jpg
                        height: 1080
                        iso_639_1: hi
                        vote_average: 1.75
                        vote_count: 2
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /btE5RFwCqOtwz7qVFY8tkRwF4pA.jpg
                        height: 1080
                        iso_639_1: en
                        vote_average: 0.166
                        vote_count: 1
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /wJmcuxa0C4AERmA9mejxm9qRYDj.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0.166
                        vote_count: 1
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /1LTImbauHwKp2ESKzvGL3XtEaoo.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0
                        vote_count: 0
                        width: 1920
                  id:
                    type: number
                    example: 203504
                  logos:
                    type: array
                    items:
                      type: object
                      properties:
                        aspect_ratio:
                          type: number
                          example: 2.823
                        file_path:
                          type: string
                          example: /b9etOxFc9yMFg4jxf3jkAsbkDIA.png
                        height:
                          type: number
                          example: 220
                        iso_639_1:
                          type: string
                          example: hi
                        vote_average:
                          type: number
                          example: 0
                        vote_count:
                          type: number
                          example: 0
                        width:
                          type: number
                          example: 621
                    example:
                      - aspect_ratio: 2.823
                        file_path: /b9etOxFc9yMFg4jxf3jkAsbkDIA.png
                        height: 220
                        iso_639_1: hi
                        vote_average: 0
                        vote_count: 0
                        width: 621
                  posters:
                    type: array
                    items:
                      type: object
                      properties:
                        aspect_ratio:
                          type: number
                          example: 0.667
                        file_path:
                          type: string
                          example: /3O1vg2eotG8jelDU7N33XrRJxZt.jpg
                        height:
                          type: number
                          example: 1620
                        iso_639_1:
                          type: string
                          nullable: true
                          example: hi
                        vote_average:
                          type: number
                          example: 3.334
                        vote_count:
                          type: number
                          example: 1
                        width:
                          type: number
                          example: 1080
                    example:
                      - aspect_ratio: 0.667
                        file_path: /3O1vg2eotG8jelDU7N33XrRJxZt.jpg
                        height: 1620
                        iso_639_1: hi
                        vote_average: 3.334
                        vote_count: 1
                        width: 1080
                      - aspect_ratio: 0.667
                        file_path: /f2T5XDE4hxONselfJzy5hUCZBIt.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 3.334
                        vote_count: 1
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /lxIL2Qxii2qRqhvif9NpnamFPO0.jpg
                        height: 1080
                        iso_639_1: hi
                        vote_average: 3.334
                        vote_count: 1
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /a4Z6Uohb6Ln5vcPvMUzwyn3WBjP.jpg
                        height: 750
                        iso_639_1: en
                        vote_average: 2.278
                        vote_count: 3
                        width: 500
                      - aspect_ratio: 0.667
                        file_path: /1skNvUMTKi9IH0Qv9rf0Piw0MPy.jpg
                        height: 1080
                        iso_639_1: en
                        vote_average: 2.278
                        vote_count: 3
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /aHQPoBnxMHZkwkl8PszqJsg8Mfl.jpg
                        height: 1620
                        iso_639_1: hi
                        vote_average: 2.278
                        vote_count: 3
                        width: 1080
                      - aspect_ratio: 0.751
                        file_path: /zcCrnUL95d3M1c821e84zZcRCMl.jpg
                        height: 1439
                        iso_639_1: en
                        vote_average: 0.166
                        vote_count: 1
                        width: 1080
                      - aspect_ratio: 0.667
                        file_path: /wyNtotYr6mwMRC9ytmcVdXzNwdo.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0.166
                        vote_count: 1
                        width: 720
                      - aspect_ratio: 0.75
                        file_path: /rZH5neYfNwdGKvEdgyE5jiTsPJV.jpg
                        height: 1438
                        iso_639_1: hi
                        vote_average: 0
                        vote_count: 0
                        width: 1078
                      - aspect_ratio: 0.667
                        file_path: /bmkcyS8hH9vw6p40qdE80ZaQunu.jpg
                        height: 1080
                        iso_639_1: hi
                        vote_average: 0
                        vote_count: 0
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /93mOND6ESLeT8QznITkqbXoPudE.jpg
                        height: 1080
                        iso_639_1: hi
                        vote_average: 0
                        vote_count: 0
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /jzRlDQeECsGvmEZVczOBVWJp47f.jpg
                        height: 1620
                        iso_639_1: null
                        vote_average: 0
                        vote_count: 0
                        width: 1080
                      - aspect_ratio: 0.667
                        file_path: /1eV8WuGdk3BwlbXRKkgpsZwVpRI.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0
                        vote_count: 0
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /hl6UqydkStABLAiHT9Qtb3lNwrt.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0
                        vote_count: 0
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /fb7t2vdpUL8L96L6vr0eOEyw1nC.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0
                        vote_count: 0
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /gsnGx3nIRyWOSlReaEXlpE1YOJl.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0
                        vote_count: 0
                        width: 720
              examples:
                Fetch series images:
                  value:
                    backdrops:
                      - aspect_ratio: 1.778
                        file_path: /2tVchKGKg4vYe4IyvTnR45wlPYH.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 3.334
                        vote_count: 1
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /wV5PS1nCcHd4CqvhSJFav7jRKm4.jpg
                        height: 1080
                        iso_639_1: null
                        vote_average: 3.334
                        vote_count: 1
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /bScNmdu7wwIIsqQpU8B8gratf0P.jpg
                        height: 1080
                        iso_639_1: null
                        vote_average: 3.334
                        vote_count: 2
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /fijA09tQ2dbLjA1D1tz6We0MrrA.jpg
                        height: 1080
                        iso_639_1: hi
                        vote_average: 2.278
                        vote_count: 3
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /kMo3EtW3DhY23lbhe4TFxWBZs0e.jpg
                        height: 1080
                        iso_639_1: null
                        vote_average: 2.278
                        vote_count: 3
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /63DJiq5uhVXwJFL4nf49r0uyJjL.jpg
                        height: 1080
                        iso_639_1: en
                        vote_average: 1.75
                        vote_count: 2
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /akjdbQxRopK8CyGEEoU4hM5Es6X.jpg
                        height: 1080
                        iso_639_1: hi
                        vote_average: 1.75
                        vote_count: 2
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /btE5RFwCqOtwz7qVFY8tkRwF4pA.jpg
                        height: 1080
                        iso_639_1: en
                        vote_average: 0.166
                        vote_count: 1
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /wJmcuxa0C4AERmA9mejxm9qRYDj.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0.166
                        vote_count: 1
                        width: 1920
                      - aspect_ratio: 1.778
                        file_path: /1LTImbauHwKp2ESKzvGL3XtEaoo.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0
                        vote_count: 0
                        width: 1920
                    id: 203504
                    logos:
                      - aspect_ratio: 2.823
                        file_path: /b9etOxFc9yMFg4jxf3jkAsbkDIA.png
                        height: 220
                        iso_639_1: hi
                        vote_average: 0
                        vote_count: 0
                        width: 621
                    posters:
                      - aspect_ratio: 0.667
                        file_path: /3O1vg2eotG8jelDU7N33XrRJxZt.jpg
                        height: 1620
                        iso_639_1: hi
                        vote_average: 3.334
                        vote_count: 1
                        width: 1080
                      - aspect_ratio: 0.667
                        file_path: /f2T5XDE4hxONselfJzy5hUCZBIt.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 3.334
                        vote_count: 1
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /lxIL2Qxii2qRqhvif9NpnamFPO0.jpg
                        height: 1080
                        iso_639_1: hi
                        vote_average: 3.334
                        vote_count: 1
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /a4Z6Uohb6Ln5vcPvMUzwyn3WBjP.jpg
                        height: 750
                        iso_639_1: en
                        vote_average: 2.278
                        vote_count: 3
                        width: 500
                      - aspect_ratio: 0.667
                        file_path: /1skNvUMTKi9IH0Qv9rf0Piw0MPy.jpg
                        height: 1080
                        iso_639_1: en
                        vote_average: 2.278
                        vote_count: 3
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /aHQPoBnxMHZkwkl8PszqJsg8Mfl.jpg
                        height: 1620
                        iso_639_1: hi
                        vote_average: 2.278
                        vote_count: 3
                        width: 1080
                      - aspect_ratio: 0.751
                        file_path: /zcCrnUL95d3M1c821e84zZcRCMl.jpg
                        height: 1439
                        iso_639_1: en
                        vote_average: 0.166
                        vote_count: 1
                        width: 1080
                      - aspect_ratio: 0.667
                        file_path: /wyNtotYr6mwMRC9ytmcVdXzNwdo.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0.166
                        vote_count: 1
                        width: 720
                      - aspect_ratio: 0.75
                        file_path: /rZH5neYfNwdGKvEdgyE5jiTsPJV.jpg
                        height: 1438
                        iso_639_1: hi
                        vote_average: 0
                        vote_count: 0
                        width: 1078
                      - aspect_ratio: 0.667
                        file_path: /bmkcyS8hH9vw6p40qdE80ZaQunu.jpg
                        height: 1080
                        iso_639_1: hi
                        vote_average: 0
                        vote_count: 0
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /93mOND6ESLeT8QznITkqbXoPudE.jpg
                        height: 1080
                        iso_639_1: hi
                        vote_average: 0
                        vote_count: 0
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /jzRlDQeECsGvmEZVczOBVWJp47f.jpg
                        height: 1620
                        iso_639_1: null
                        vote_average: 0
                        vote_count: 0
                        width: 1080
                      - aspect_ratio: 0.667
                        file_path: /1eV8WuGdk3BwlbXRKkgpsZwVpRI.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0
                        vote_count: 0
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /hl6UqydkStABLAiHT9Qtb3lNwrt.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0
                        vote_count: 0
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /fb7t2vdpUL8L96L6vr0eOEyw1nC.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0
                        vote_count: 0
                        width: 720
                      - aspect_ratio: 0.667
                        file_path: /gsnGx3nIRyWOSlReaEXlpE1YOJl.jpg
                        height: 1080
                        iso_639_1: ar
                        vote_average: 0
                        vote_count: 0
                        width: 720
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````